RegexSyntaxException
Description: declaration: package: com.thaiopensource.datatype.xsd.regex, class: RegexSyntaxException

# Class RegexSyntaxException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.thaiopensource.datatype.xsd.regex.RegexSyntaxException

All Implemented Interfaces:
  `Serializable`

public class RegexSyntaxException extends Exception
Thrown when an syntactically incorrect regular expression is detected.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `UNKNOWN_POSITION`
  Represents an unknown position within a string containing a regular expression.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegexSyntaxException(String detail)`
  `RegexSyntaxException(String detail, int position)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getPosition()`
  Returns the index into the regular expression where the error was detected or `UNKNOWN_POSITION` if this is unknown.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### UNKNOWN_POSITION

    public static final int UNKNOWN_POSITION
    Represents an unknown position within a string containing a regular expression.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RegexSyntaxException

    public RegexSyntaxException(String detail)

  - ### RegexSyntaxException

    public RegexSyntaxException(String detail, int position)

- ## Method Details

  - ### getPosition

    public int getPosition()
    Returns the index into the regular expression where the error was detected or `UNKNOWN_POSITION` if this is unknown.
    Returns:
      the index into the regular expression where the error was detected, or `UNKNOWNN_POSITION` if this is unknown